## org.hibernate.ejb
Class AbstractEntityManagerImpl.TupleBuilderTransformer.HqlTupleImpl

    java.lang.Object
      org.hibernate.ejb.AbstractEntityManagerImpl.TupleBuilderTransformer.HqlTupleImpl

All Implemented Interfaces:
  Tuple

Enclosing class:
  AbstractEntityManagerImpl.TupleBuilderTransformer

    public class AbstractEntityManagerImpl.TupleBuilderTransformer.HqlTupleImpl

extends Object
implements Tuple

Constructor Summary
`AbstractEntityManagerImpl.TupleBuilderTransformer.HqlTupleImpl(Object[] tuple)`

Method Summary
`Object` `get(int i)`

`

`<X> X`

`

`get(int i, Class<X> type)`

`Object` `get(String alias)`

`

`<X> X`

`

`get(String alias, Class<X> type)`

`

`<X> X`

`

`get(TupleElement<X> tupleElement)`

`List<TupleElement<?>>` `getElements()`
`Object[]` `toArray()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractEntityManagerImpl.TupleBuilderTransformer.HqlTupleImpl

    public AbstractEntityManagerImpl.TupleBuilderTransformer.HqlTupleImpl(Object[] tuple)

Method Detail

### get

    public <X> X get(String alias,
                     Class<X> type)

  Specified by:
    `get` in interface `Tuple`

### get

    public Object get(String alias)

  Specified by:
    `get` in interface `Tuple`

### get

    public <X> X get(int i,
                     Class<X> type)

  Specified by:
    `get` in interface `Tuple`

### get

    public Object get(int i)

  Specified by:
    `get` in interface `Tuple`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Tuple`

### getElements

    public List<TupleElement<?>> getElements()

  Specified by:
    `getElements` in interface `Tuple`

### get

    public <X> X get(TupleElement<X> tupleElement)

  Specified by:
    `get` in interface `Tuple`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.